﻿define a = Character("Ash", color="#564F7F")
define h = Character("Hayden", color="#285d24")



label start:
    scene hallpic
    "I walk down the empty dorm hallways."
    " I’m meeting up with Ash, my assigned study partner, today. We have a history test tomorrow, and it’s kinda a huge deal."
    "This test determines if we pass the class; if we don’t, we won’t graduate on time."
    "Just thinking about spending a whole another semester alone while everyone I care about is out moving on with their lives creates a pit in my stomach."
    "I have to pass this test."
    "I reach Ash’s door and hesitate."
    "I don’t know Ash well. She seems like a nice girl; it’s just that she doesn’t talk much."
    "Luckily, we’re meeting up with a couple of other students, so I won’t have to shoulder the conversations alone."
    "I knock on her door."
    "Silence."
    "I hope I got the right room."
    "I knock again."
    h "Hey Ash, it’s Hayden from history."
    "I hear shuffling, and eventually, the door opens."
    show ashmed
    with dissolve
    a "Hey."
    "She stands in the doorway, disheveled. It looks like it’s been a while since she has showered. Did I just wake her up? I get to peek into her room, but I barely see anything."
    h "Wow, are you a vampire? Your room is so dark."
    a "..."
    "Uh, maybe she really was sleeping."
    h "So, you ready to study?"
    a "Uh, you go ahead. I think I’ll sit this one out."
    h "This one? This is the only ‘one.’ The test is tomorrow. Are you sure?"
    a "Yeah, I just have… other stuff. You go ahead."
    "I can’t imagine what ‘other stuff’ could be as important as passing this test."

    # 1
    menu:
        "Is something wrong?":
            call oneA from _call_oneA
        "Are your certain? This test affects our graduation.":
            call oneB from _call_oneB
        "Alright. I'll go ahead.":
            jump oneC

    # 2
    menu:
        "What kind of \"don’t feel well?\"":
            call twoA from _call_twoA
        "Did something happen?":
            call twoB from _call_twoB
        "Do you need medicine?":
            call twoC from _call_twoC

    $ numb = 0
    # 3
    menu:
        "I can relate. I’ve been stressed out.":
            call threeA from _call_threeA
        "This test is pretty important.":
            call threeB from _call_threeB
        "How long has this been going on?":
            call threeC from _call_threeC

    # 4
    menu:
        "I’m sorry.":
            call fourA from _call_fourA
        "Think of all the positives in your life.":
            call fourB from _call_fourB
        "You can do it!":
            call fourC from _call_fourC

    "My phone goes off. It’s one of our classmates. He’s asking if we’re coming."
    "Are we? Now is the time to decide."

    # 5
    menu:
        "I’ll give you space.":
            jump fiveA
        "How about we study, just us? We can take it slow.":
            jump fiveB
        "Do you want to chill instead?":
            jump fiveC



    "Welcom back."
    jump theend


# menu 1
label oneA:
    "Her eyes drop to the floor."
    a "“Uuuh… Yes and no?"
    a "I just don’t feel well, I guess."
return

label oneB:
    a "Yeah, I don’t feel well."
return

label oneC:
    a "Thanks for understanding."
    h "No problem. See you tomorrow?"
    a "Uh, yeah… See you."
    jump ending1



# menu 2
label twoA:
    a "“Uh, the ‘my brain is on fire, but… I’m frozen… mentally…"
    a "If that makes sense."
    h "Maybe?"
    a "I guess there’s just a lot on my plate."
    a "For me, at least."
return

label twoB:
    a "Uh, not really?"
    a "Or maybe too much is happening to handle."
    a "But I feel like the problem is I personally can’t handle it, not that “it” is too much."
    a "If that makes sense."
    h "Maybe?"
    a "I guess there’s just a lot on my plate."
    a "For me, at least."
return

label twoC:
    "She grins."
    a "Uh, not that kind of unwell. More of… my brain is on fire, but… I’m frozen… mentally…"
    a "If that makes sense."
    h "Maybe?"
    a "I guess there’s just a lot on my plate."
    a "For me, at least."
return


# menu 3
label threeA:
    h "School, jobs, my future, it’s all been piling up on me. But if I can get through it, you can too."
    a "..."
    "It looks like she checked out."
    $ numb -= 1
return

label threeB:
    a "Then why don’t you go ahead and leave me alone."
    "Where’s this hostility coming from?"
    $ numb -= 2
return

label threeC:
    $ numb += 1
    a "Uuuh..."
    "She takes a moment."
    a "Too long… \"I don’t know how much longer I can take it\" too long."
return


# menu 4
label fourA:
    h "Is there any way I can help?"
    "She thinks about it."
    a "No, not really. You go ahead. Don’t worry about me."
    $ numb += 1
return

label fourB:
    h "You have a roof over your head and an opportunity to pursue higher education. A lot is going for you if you take the time to look."
    a "..."
    "She’s definitely checked out."
    $ numb -= 1
return

label fourC:
    h "You’re so close to the finish line! You’ve come this far; you just need to push a little more."
    a "Sure, I’m so close to finishing this class, but what about the rest of school? What about everything else? It never ends."
    "I don’t know how to respond to that."
return


# menu 5
label fiveA:
    a "Thanks for understanding."
    h "No problem. See you tomorrow?"
    a "Uh, yeah… See you."
    jump ending2

label fiveB:
    if numb < 1: 
        h "We don’t have to go over everything. Any amount is better than none."
        a "You really want me to study with you, huh?"
        h "Well yeah. I would hate for you to be left behind over one test."
        a "Why do you care? I could drop out tomorrow, and your life wouldn’t change."
        "I don’t know because it’s normal to care about other human beings??"
        h "I am your study partner. We’re supposed to look out for each other, right?"
        a "Wow, you really are a nerd."
        h "Maybe, but honestly, you seem like you’re struggling, and I just want to help."
        "She stared at me and then at the floor. She’s really considering it."
        a "Sorry, but no."
        "So close."
        h "Fair enough. I won’t push anymore."
        a "I appreciate it. Go on. Don’t let me hold you back."
        h "No problem. See you tomorrow?"
        a "Uh, yeah… See you."
        jump ending2
    if numb > 0:
        jump ending3

label fiveC:
    if numb < 0:
        h "We could watch a movie or just chill."
        a "...No, that’s okay. I just need some alone time."
        h "You sure?"
        a "Yeah."
        h "Alright. See you tomorrow?"
        a "Uh, yeah… See you."
        jump ending2
    if numb > -1:
        jump ending4







label ending1:
    scene hallpic
    "I go to the library to study without Ash."
    scene school
    "Tomorrow comes, and I ace the test."
    "Strangely, Ash never shows."
    "Soon after, I learned she dropped out."
    "I wonder what happened."
return

label ending2:
    scene hallpic
    "I go to the library to study without Ash."
    "I wonder what’s going on with her."
    scene school
    "Tomorrow comes, and I barely pass the test."
    "Strangely, Ash never showed."
    "Soon after, I learned she dropped out."
    "I can’t help but wonder if there was something I could’ve done."
return

label ending3:
    h "We don’t have to go over everything. Any amount is better than none."
    a "You really want me to study with you, huh?"
    h "Well yeah. I would hate for you to be left behind over one test."
    a "Why do you care? I could drop out tomorrow, and your life wouldn’t change."
    "Yeah, why do I care so much?"
    "I don’t know. The thought of her dropping out seems so tragic."
    "Is it so weird to care about other human beings?"
    h "I am your study partner. We’re supposed to look out for each other, right?"
    a "Wow, you really are a nerd."
    h "Maybe, but honestly, you seem like you’re struggling, and I just want to help. Or maybe she’s taken aback by how strong I’m coming off."
    h "If you don’t care about your future, let me care for you… for at least a night."
    "Maybe I am too forward, but I can’t help it. It feels like the right thing to do."
    a "..."
    a "I suppose I can try a bit of studying…"
    a "For my study partner"
    "A huge grin shoots across my face."
    a "Can we study here? I don’t want to leave my dorm."
    h "Of course!"
    scene bedroom
    with dissolve
    "And we studied."
    "Ash spaced out often, but I tried to bring her back gently when I noticed."
    "We got through the material slowly. But we did get through it all."
    show ashmed
    with dissolve
    h "It wasn’t a particularly thorough study session, but we did it! Good job us!"
    a "Ha ha yeah."
    "I look into her eyes."
    h "We got this!"
    "And we did."
    scene school
    with dissolve
    "Tomorrow came, and we passed the test."
    "Barely, but we did it."
    "The news came as a surprise to Ash."
    show ashmed
    with dissolve
    h "See? We can overcome anything if we work together."
    a "Yeah, I guess so."
    "She gives a weak smile."
    a "I’m screwed on my own, though."
    h "Well, maybe you don’t have to do it alone. Have you picked classes for next semester? Maybe we can take the same ones."
    "She stares at me wide-eyed. I guess I have been very forward, but, as challenging as it was, it felt nice to help."
    "And maybe I can help with more than just school. The sadness she’s living with seems so deep. To part ways feel like I’m abandoning her. "
    a "I haven’t picked classes. That would be nice."
    "I meet her half-smile with a huge grin."
    h "Cool!"
return

label ending4:
    a "Like, without studying?"
    h "Yeah. We could watch a movie or something."
    "She thinks about it."
    a "Here?"
    h "Where ever you want."
    "She thinks some more."
    a "Sure. That sounds nice."
    h "Cool!"
    scene bedroomdark
    with fade
    "I close the door behind me while texting the others that we aren’t coming. My phone’s screen blinds me in the darkness of her dorm."
    a "Here, let me turn on some light for the non-vampire."
    scene bedroom
    with dissolve
    "The star shape light she plugs in reveals a smile on her face."
    "Now I think about it, I guess I’m smiling too."
    show ashmed
    with dissolve
    a "Do you want some mac and cheese? I have some microwavable cups."
    h "Ooh, it’s been so long since I’ve had mac and cheese! I would love some."
    "She pops a couple of macaroni cups in the microwave, and we plop on the floor."
    "We never ended up watching a movie because we never stopped talking. She told me all about her depression, and I tried my best to listen."
    a "It feels like I’m holding a lump of burning coal, and it burns, but I’m not allowed to let it go."
    a "There’s nowhere to put it, and it’s not getting any cooler. I have no choice but to be still and suffer…"
    "Tears well up in her eyes."
    a "It hurts so much… I can’t think about anything else… How do I make it stop…"
    "We sit in silence. I'm racking my brain, trying to think of what to say. I don’t know how to make it stop. I don’t know anything! It’s not like I can relate."
    "She wipes her tears before they have a chance to hit the floor."
    h "“I’m sorry. I wish I could take it off your hands… for at least a little bit."
    a "... I think you have, by hanging with me. An itsy busty tiny bit, but I do feel a bit better."
    "She smiles."
    a "Thank you."
    "I smile back"
    h "I’m happy to be here."
    scene school
    with dissolve
    "The test came and went, and we both failed it."
    "Considering we didn’t study and we stayed up late, I’m not surprised."
    "It was worth it, though. I won’t be graduating on time, but at least I won’t be alone in my last semester."

return


label theend:
return

return